using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProjectCarbon
{
    public partial class frmAdapterPerformance : Form
    {
        public frmAdapterPerformance()
        {
            InitializeComponent();
        }

        private void frmAdapterPerformance_Load(object sender, EventArgs e)
        {
            ListViewItem listViewItem;

            Global.PacketCaptureArray[0].StartMonitoring();

            foreach (NetworkAdapter networkAdapter in Global.PacketCaptureArray[0].Adapters)
            {
                listViewItem = lvwAdapters.Items.Add(networkAdapter.Name);
                listViewItem.SubItems.Add(networkAdapter.DownloadSpeedKbps.ToString());
                listViewItem.SubItems.Add(networkAdapter.UploadSpeedKbps.ToString());
            }

            tmrStats.Interval = 1000;
            tmrStats.Enabled = true;
        }

        private void tmrStats_Tick(object sender, EventArgs e)
        {
            int x = 0;
            ListViewItem listViewItem;
            foreach (NetworkAdapter networkAdapter in Global.PacketCaptureArray[0].Adapters)
            {
                listViewItem = lvwAdapters.Items[x++];
                listViewItem.SubItems[1].Text =
                    ((int)(networkAdapter.DownloadSpeedKbps)).ToString();
                listViewItem.SubItems[2].Text = 
                    ((int)(networkAdapter.UploadSpeedKbps)).ToString();
            }
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void frmAdapterPerformance_FormClosing(object sender, FormClosingEventArgs e)
        {
            tmrStats.Enabled = false;
            Global.PacketCaptureArray[0].StopMonitoring();
        }
    }
}